Package org.eclipse.osgi.service.resolver

# Interface ResolverError

public interface ResolverError
ResolverErrors represent a single error that prevents a bundle from resolving in a `State` object. *

This interface is not intended to be implemented by clients.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DISABLED_BUNDLE`
Error type constant (bit mask) indicating that a bundle could not be resolved because the bundle was disabled
`static final int`
`EXPORT_PACKAGE_PERMISSION`
Error type constant (bit mask) indicating that an Import-Package could not be resolved because no exporting bundle has the correct permissions to export the package.
`static final int`
`FRAGMENT_BUNDLE_PERMISSION`
Error type constant (bit mask) indicating that a Fragment-Host could not be resolved because the fragment bundle does not have the correct permissions to be a fragment.
`static final int`
`FRAGMENT_CONFLICT`
Error type constant (bit mask) indicating that the bundle fragment could not be resolved because a constraint conflict with a host.
`static final int`
`HOST_BUNDLE_PERMISSION`
Error type constant (bit mask) indicating that a Fragment-Host could not be resolved because no bundle with the required symbolic name has the correct permissions to host a fragment.
`static final int`
`IMPORT_PACKAGE_PERMISSION`
Error type constant (bit mask) indicating that an Import-Package could not be resolved because the importing bundle does not have the correct permissions to import the package.
`static final int`
`IMPORT_PACKAGE_USES_CONFLICT`
Error type constant (bit mask) indicating that an Import-Package could not be resolved because of a uses directive conflict.
`static final int`
`INVALID_NATIVECODE_PATHS`
Error type constant (bit mask) indicating that a bundle could not be resolved because the matching native code paths are invalid.
`static final int`
`MISSING_EXECUTION_ENVIRONMENT`
Error type constant (bit mask) indicating that a bundle could not be resolved because the required execution enviroment did not match the runtime environment.
`static final int`
`MISSING_FRAGMENT_HOST`
Error type constant (bit mask) indicating that a Fragment-Host could not be resolved.
`static final int`
`MISSING_GENERIC_CAPABILITY`
Error type constant (bit mask) indicating that a bundle could not be resolved because the required generic capability could not be resolved.
`static final int`
`MISSING_IMPORT_PACKAGE`
Error type constant (bit mask) indicating that an Import-Package could not be resolved.
`static final int`
`MISSING_REQUIRE_BUNDLE`
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved.
`static final int`
`NO_NATIVECODE_MATCH`
Error type constant (bit mask) indicating that a bundle could not be resolved because no match was found for the native code specification.
`static final int`
`PLATFORM_FILTER`
Error type constant (bit mask) indicating that a bundle could not be resolved because a platform filter did not match the runtime environment.
`static final int`
`PROVIDE_BUNDLE_PERMISSION`
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because no bundle with the required symbolic name has the correct permissions to provide the required symbolic name.
`static final int`
`PROVIDE_CAPABILITY_PERMISSION`
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because no bundle with the required symbolic name has the correct permissions to provide the required symbolic name.
`static final int`
`REQUIRE_BUNDLE_PERMISSION`
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because the requiring bundle does not have the correct permissions to require the bundle.
`static final int`
`REQUIRE_BUNDLE_USES_CONFLICT`
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because of a uses directive conflict.
`static final int`
`REQUIRE_CAPABILITY_PERMISSION`
Error type constant (bit mask) indicating that a Require-Capability could not be resolved because the requiring bundle does not have the correct permissions to require the capability.
`static final int`
`SINGLETON_SELECTION`
Error type constant (bit mask) indicating that the bundle could not be resolved because another singleton bundle was selected.

## Method Summary

Modifier and Type
Method
Description
`BundleDescription`
`getBundle()`
Returns the bundle which this ResolverError is for
`String`
`getData()`
Returns non-translatable data associated with this ResolverError.
`int`
`getType()`
Returns the type of ResolverError this is
`VersionConstraint`
`getUnsatisfiedConstraint()`
Returns the unsatisfied constraint if this ResolverError occurred because of an unsatisfied constraint; otherwise `null` is returned.

## Field Details

### MISSING_IMPORT_PACKAGE

static final int MISSING_IMPORT_PACKAGE
Error type constant (bit mask) indicating that an Import-Package could not be resolved.

See Also:
  - `getType()`
  - Constant Field Values

### MISSING_REQUIRE_BUNDLE

static final int MISSING_REQUIRE_BUNDLE
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved.

See Also:
  - `getType()`
  - Constant Field Values

### MISSING_FRAGMENT_HOST

static final int MISSING_FRAGMENT_HOST
Error type constant (bit mask) indicating that a Fragment-Host could not be resolved.

See Also:
  - `getType()`
  - Constant Field Values

### SINGLETON_SELECTION

static final int SINGLETON_SELECTION
Error type constant (bit mask) indicating that the bundle could not be resolved because another singleton bundle was selected.

See Also:
  - `getType()`
  - Constant Field Values

### FRAGMENT_CONFLICT

static final int FRAGMENT_CONFLICT
Error type constant (bit mask) indicating that the bundle fragment could not be resolved because a constraint conflict with a host.

See Also:
  - `getType()`
  - Constant Field Values

### IMPORT_PACKAGE_USES_CONFLICT

static final int IMPORT_PACKAGE_USES_CONFLICT
Error type constant (bit mask) indicating that an Import-Package could not be resolved because of a uses directive conflict.

See Also:
  - `getType()`
  - Constant Field Values

### REQUIRE_BUNDLE_USES_CONFLICT

static final int REQUIRE_BUNDLE_USES_CONFLICT
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because of a uses directive conflict.

See Also:
  - `getType()`
  - Constant Field Values

### IMPORT_PACKAGE_PERMISSION

static final int IMPORT_PACKAGE_PERMISSION
Error type constant (bit mask) indicating that an Import-Package could not be resolved because the importing bundle does not have the correct permissions to import the package.

See Also:
  - `getType()`
  - Constant Field Values

### EXPORT_PACKAGE_PERMISSION

static final int EXPORT_PACKAGE_PERMISSION
Error type constant (bit mask) indicating that an Import-Package could not be resolved because no exporting bundle has the correct permissions to export the package.

See Also:
  - `getType()`
  - Constant Field Values

### REQUIRE_BUNDLE_PERMISSION

static final int REQUIRE_BUNDLE_PERMISSION
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because the requiring bundle does not have the correct permissions to require the bundle.

See Also:
  - `getType()`
  - Constant Field Values

### PROVIDE_BUNDLE_PERMISSION

static final int PROVIDE_BUNDLE_PERMISSION
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because no bundle with the required symbolic name has the correct permissions to provide the required symbolic name.

See Also:
  - `getType()`
  - Constant Field Values

### HOST_BUNDLE_PERMISSION

static final int HOST_BUNDLE_PERMISSION
Error type constant (bit mask) indicating that a Fragment-Host could not be resolved because no bundle with the required symbolic name has the correct permissions to host a fragment.

See Also:
  - `getType()`
  - Constant Field Values

### FRAGMENT_BUNDLE_PERMISSION

static final int FRAGMENT_BUNDLE_PERMISSION
Error type constant (bit mask) indicating that a Fragment-Host could not be resolved because the fragment bundle does not have the correct permissions to be a fragment.

See Also:
  - `getType()`
  - Constant Field Values

### PLATFORM_FILTER

static final int PLATFORM_FILTER
Error type constant (bit mask) indicating that a bundle could not be resolved because a platform filter did not match the runtime environment.

See Also:
  - `getType()`
  - Constant Field Values

### MISSING_EXECUTION_ENVIRONMENT

static final int MISSING_EXECUTION_ENVIRONMENT
Error type constant (bit mask) indicating that a bundle could not be resolved because the required execution enviroment did not match the runtime environment.

See Also:
  - `getType()`
  - Constant Field Values

### MISSING_GENERIC_CAPABILITY

static final int MISSING_GENERIC_CAPABILITY
Error type constant (bit mask) indicating that a bundle could not be resolved because the required generic capability could not be resolved.

See Also:
  - Constant Field Values

### NO_NATIVECODE_MATCH

static final int NO_NATIVECODE_MATCH
Error type constant (bit mask) indicating that a bundle could not be resolved because no match was found for the native code specification.

Since:
  3.4
See Also:
  - Constant Field Values

### INVALID_NATIVECODE_PATHS

static final int INVALID_NATIVECODE_PATHS
Error type constant (bit mask) indicating that a bundle could not be resolved because the matching native code paths are invalid.

Since:
  3.4
See Also:
  - Constant Field Values

### DISABLED_BUNDLE

static final int DISABLED_BUNDLE
Error type constant (bit mask) indicating that a bundle could not be resolved because the bundle was disabled

Since:
  3.4
See Also:
  - Constant Field Values

### REQUIRE_CAPABILITY_PERMISSION

static final int REQUIRE_CAPABILITY_PERMISSION
Error type constant (bit mask) indicating that a Require-Capability could not be resolved because the requiring bundle does not have the correct permissions to require the capability.

Since:
  3.7
See Also:
  - `getType()`
  - Constant Field Values

### PROVIDE_CAPABILITY_PERMISSION

static final int PROVIDE_CAPABILITY_PERMISSION
Error type constant (bit mask) indicating that a Require-Bundle could not be resolved because no bundle with the required symbolic name has the correct permissions to provide the required symbolic name.

Since:
  3.7
See Also:
  - `getType()`
  - Constant Field Values

## Method Details

### getBundle

BundleDescription getBundle()
Returns the bundle which this ResolverError is for

Returns:
  the bundle which this ResolverError is for

### getType

int getType()
Returns the type of ResolverError this is

Returns:
  the type of ResolverError this is

### getData

String getData()
Returns non-translatable data associated with this ResolverError. For example, the data for a ResolverError of type MISSING_IMPORT_PACKAGE could be the Import-Package manifest statement which did not resolve.

Returns:
  non-translatable data associated with this ResolverError

### getUnsatisfiedConstraint

VersionConstraint getUnsatisfiedConstraint()
Returns the unsatisfied constraint if this ResolverError occurred because of an unsatisfied constraint; otherwise `null` is returned.

Returns:
  the unsatisfied constraint or `null`.